Subversion Repositories pyscrabble

Compare Revisions

Ignore whitespace Rev 3 → Rev 2

/trunk/debian/control
7,8 → 7,6
Standards-Version: 3.7.2
Homepage: http://pyscrabble.sourceforge.net
XS-Python-Version: current
XS-Vcs-Browser: http://svn.kibibyte.se/pyscrabble
XS-Vcs-Svn: http://svn.kibibyte.se/pyscrabble/trunk
 
Package: pyscrabble-common
Architecture: all
/trunk/debian/patches/20_about_close.dpatch
File deleted
Property changes:
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: patches/00list
===================================================================
--- patches/00list (revision 3)
+++ patches/00list (revision 2)
@@ -1,2 +1 @@
10_installation
-20_about_close
Index: rules
===================================================================
--- rules (revision 3)
+++ rules (revision 2)
@@ -18,16 +18,16 @@
clean: clean-patched unpatch
dh_clean
-clean-patched: patch-stamp
+clean-patched:
dh_testdir
dh_testroot
- rm -f build-stamp
+ rm -f build-stamp configure-stamp
rm -f pyscrabble-*.png pyscrabble-*.xpm
python setup.py clean -a
find -name '*.pyc' -delete
-build: patch-stamp
+build: $(DPATCH_STAMPFN)
python setup.py build
for size in $(ICON_SIZES); do \
@@ -79,7 +79,7 @@
dh_installdocs
dh_installexamples
dh_installman
- dh_installinit -r
+ dh_installinit
dh_installmenu
dh_desktop
dh_strip
/trunk/debian/pyscrabble-server.init
8,6 → 8,10
# Short-Description: PyScrabble server
# Description: Controls the PyScrabble server
### END INIT INFO
#
# Author: Will Gray <graywh@gmail.com>
# Version: 1
#
 
set -e
 
22,26 → 26,21
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
 
. /lib/lsb/init-functions
 
USER="pyscrabble"
 
# Read config file if it is present.
if [ -r /etc/default/$NAME2 ]; then
if [ -r /etc/default/$NAME2 ]
then
. /etc/default/$NAME2
fi
 
d_running() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME --test > /dev/null
}
 
#
# Function that starts the daemon/service.
#
d_start() {
start-stop-daemon --start --oknodo --quiet --pidfile $PIDFILE --name $NAME \
--background --make-pidfile --chuid "$USER" --startas $DAEMON
start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE \
--chuid "$USER" --exec $DAEMON \
|| echo -n " already running"
}
 
#
48,28 → 47,22
# Function that stops the daemon/service.
#
d_stop() {
start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --name $NAME
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME \
|| echo -n " not running"
rm -f $PIDFILE
}
 
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME2"
if d_running; then
log_progress_msg "already running"
else
d_start;
fi
log_end_msg 0
echo -n "Starting $DESC: $NAME2"
d_start
echo "."
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME2"
if ! d_running; then
log_progress_msg "not running"
else
d_stop
fi
log_end_msg 0
echo -n "Stopping $DESC: $NAME2"
d_stop
echo "."
;;
#reload)
#
90,7 → 83,7
# option to the "reload" entry above. If not, "force-reload" is
# just the same as "restart".
#
log_daemon_msg "Restarting $DESC" "$NAME2"
echo -n "Restarting $DESC: $NAME2"
d_stop
# One second might not be time enough for a daemon to stop,
# if this happens, d_start will fail (and dpkg will break if
99,12 → 92,8
# Notice that using --retry slows down the shutdown process somewhat.
sleep 1
d_start
log_end_msg 0
echo "."
;;
status)
d_running || status="not "
log_action_msg "Status of $DESC:" "${status}running"
;;
*)
# echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
/trunk/debian/pyscrabble-server.README.Debian
1,21 → 1,15
pyscrabble for Debian
---------------------
 
The pyscrabble-server package installs the PyScrabble server as a
daemon along with a System V init script that runs the server under a
dedicated user account, created on installation. The original code is
modified so that instead of ~/.config/pyscrabble/, it reads the
configuration from files in /etc/pyscrabble/, stores the server
database in /var/lib/pyscrabble, and writes the log to
/var/log/pyscrabble/pyscrabble.log.
 
My assumption is that most users don't need or want to run their own
server. Therefore the PyScrabble server is in a separate package that
installs it as a system daemon. By default the server runs under a
dedicated user account, created on installation.
server.
 
The original code is modified so that instead of
~/.config/pyscrabble/, the server reads its configuration from files
in /etc/pyscrabble/, stores its database in /var/lib/pyscrabble, and
logs to /var/log/pyscrabble/pyscrabble.log. The log is not
automatically rotated, because the server can't currently be told to
reopen the log, and restarting it kills all client sessions and
ongoing games.
 
For the same reason, the server is not restarted when upgraded. The
administrator should notify the users and restart the server at the
earliest opportunity.
 
-- Magnus Holmgren <magnus@kibibyte.se>, Wed, 3 Oct 2007 15:22:24 +0200
-- Magnus Holmgren <magnus@kibibyte.se>, Sun, 30 Sep 2007 20:42:01 +0200